"use strict";

require("core-js/modules/es6.object.define-property");

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.to-string");

require("core-js/modules/es6.string.iterator");

require("core-js/modules/es6.weak-map");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("core-js/modules/es6.regexp.replace");

var _react = _interopRequireDefault(require("react"));

var _reactHelmet = require("react-helmet");

var styles = _interopRequireWildcard(require("./styles/error"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** @react render the error page */
var Error = function Error(_ref) {
  var message = _ref.error.message,
      componentStack = _ref.errorInfo.componentStack;
  return _react["default"].createElement("div", {
    style: styles.root
  }, _react["default"].createElement(_reactHelmet.Helmet, null, _react["default"].createElement("title", null, "500 | Error")), _react["default"].createElement("div", null, _react["default"].createElement("h1", {
    style: styles.h1
  }, "\uD83D\uDE1E\uD83D\uDE31\uD83D\uDD28 Error"), _react["default"].createElement("p", {
    style: styles.p
  }, message), _react["default"].createElement("p", {
    style: styles.p,
    dangerouslySetInnerHTML: {
      __html: componentStack.replace(/\n/, '').replace(/\n/g, '<br />')
    }
  })));
};

var _default = Error;
exports["default"] = _default;
module.exports = exports.default;