"use strict";

require("core-js/modules/es6.object.define-property");

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.to-string");

require("core-js/modules/es6.string.iterator");

require("core-js/modules/es6.weak-map");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactHelmet = require("react-helmet");

var styles = _interopRequireWildcard(require("./styles/notFound"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** @react render the not found page */
var NotFound = function NotFound() {
  return _react["default"].createElement("div", {
    style: styles.root
  }, _react["default"].createElement("h1", {
    style: styles.h1
  }, "404"), _react["default"].createElement("h2", {
    style: styles.h2
  }, "Page not found"));
};
/**
 * @example
 * NotFound.getInitialProps({ ctx })
 *
 * @param {pageCtxType} context - cnotext data
 *
 * @return {object} - initial props
 */


NotFound.getInitialProps = function (_ref) {
  var ctx = _ref.ctx;
  ctx.status = 404;
  return {
    head: _react["default"].createElement(_reactHelmet.Helmet, null, _react["default"].createElement("title", null, "404 | Page not found"))
  };
};

var _default = _react["default"].memo(NotFound);

exports["default"] = _default;
module.exports = exports.default;