"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("core-js/modules/es6.promise");

require("core-js/modules/es6.object.to-string");

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

require("core-js/modules/es6.array.find");

require("regenerator-runtime/runtime");

var _react = _interopRequireDefault(require("react"));

var _reactDom = require("react-dom");

var _reactRouterDom = require("react-router-dom");

var _emptyFunction = _interopRequireDefault(require("fbjs/lib/emptyFunction"));

var _mockChoice = _interopRequireDefault(require("@cat-org/utils/lib/mockChoice"));

var _handleUnhandledRejection = _interopRequireDefault(require("@cat-org/utils/lib/handleUnhandledRejection"));

var _Root = _interopRequireDefault(require("../components/Root"));

var _Main = _interopRequireDefault(require("../templates/Main"));

var _Loading = _interopRequireDefault(require("../templates/Loading"));

var _Error = _interopRequireDefault(require("../templates/Error"));

var _routesData = _interopRequireDefault(require("../templates/routesData"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var setConfig =
/** setConfig */
_emptyFunction["default"];
(0, _handleUnhandledRejection["default"])();
setConfig({
  errorReporter: _Error["default"]
});
/**
 * @example
 * run()
 */

var run =
/*#__PURE__*/
function () {
  var _ref = _asyncToGenerator(
  /*#__PURE__*/
  _regenerator["default"].mark(function _callee() {
    var _window$__CAT_DATA__, mainInitialProps, pageInitialProps, chunkName, _ref2, loader, _ref4, InitialPage;

    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _window$__CAT_DATA__ = window.__CAT_DATA__, mainInitialProps = _window$__CAT_DATA__.mainInitialProps, pageInitialProps = _window$__CAT_DATA__.pageInitialProps, chunkName = _window$__CAT_DATA__.chunkName; // preload page

            _ref2 = _routesData["default"].find(function (_ref3) {
              var componentChunkName = _ref3.component.chunkName;
              return chunkName === componentChunkName;
            }) || function () {
              throw new Error('Can not find page component');
            }(), loader = _ref2.component.loader;
            _context.next = 4;
            return loader();

          case 4:
            _ref4 = _context.sent;
            InitialPage = _ref4["default"];
            // render
            (0, _reactDom.hydrate)(_react["default"].createElement(_reactRouterDom.BrowserRouter, null, _react["default"].createElement(_Root["default"], {
              Main: _Main["default"],
              Loading: _Loading["default"],
              Error: _Error["default"],
              routesData: _routesData["default"],
              InitialPage: InitialPage,
              mainInitialProps: mainInitialProps,
              pageInitialProps: pageInitialProps
            })), document.getElementById('__CAT__') || function () {
              throw new Error('Can not find main HTMLElement');
            }());

          case 7:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function run() {
    return _ref.apply(this, arguments);
  };
}();

(0, _mockChoice["default"])(process.env.NODE_ENV === 'test', _emptyFunction["default"], run);
var _default = run;
exports["default"] = _default;
module.exports = exports.default;